## helma.scripting.rhino.extensions
Class MailObject

    java.lang.Object
      org.mozilla.javascript.ScriptableObject
          helma.scripting.rhino.extensions.MailObject

All Implemented Interfaces:
  java.io.Serializable, org.mozilla.javascript.ConstProperties, org.mozilla.javascript.debug.DebuggableObject, org.mozilla.javascript.Scriptable

    public class MailObject

extends org.mozilla.javascript.ScriptableObject
implements java.io.Serializable

A JavaScript wrapper around a JavaMail message class to send mail via SMTP from Helma

See Also:
  Serialized Form

Field Summary
`static int` `BCC`
`static int` `CC`
`static int` `FROM`
`static int` `MIMEPART`
`static int` `OK`
`static int` `REPLYTO`
`static int` `SEND`
`static int` `SUBJECT`
`static int` `TEXT`
`static int` `TO`

Fields inherited from class org.mozilla.javascript.ScriptableObject
`CONST, DONTENUM, EMPTY, PERMANENT, READONLY, UNINITIALIZED_CONST`

Fields inherited from interface org.mozilla.javascript.Scriptable
`NOT_FOUND`

Method Summary
`void` `addBCC(java.lang.String addstr, java.lang.Object name)` Add a BCC address for this message
`void` `addCC(java.lang.String addstr, java.lang.Object name)` ADd a CC address for this message
`void` `addPart(java.lang.Object obj, java.lang.Object filename)` Add a MIME message part to a multipart message
`void` `addText(java.lang.String text)` Add some text to a plain text message.
`void` `addTo(java.lang.String addstr, java.lang.Object name)` Add a To address for this message
`java.lang.String` `getClassName()` Overrides abstract method in ScriptableObject
`java.lang.String` `getMultipartType()` Returns the MIME multipart message subtype.
`protected javax.mail.Session` `getSession()` Get the cached JavaMail session.
`int` `getStatus()` Returns the error status of this message.
`static void` `init(org.mozilla.javascript.Scriptable scope, java.util.Properties props)` Initialize Mail extension for the given scope, called by RhinoCore.
`static MailObject` `mailObjCtor(org.mozilla.javascript.Context cx, java.lang.Object[] args, org.mozilla.javascript.Function ctorObj, boolean inNewExpr)` JavaScript constructor, called by the Rhino runtime.
`void` `send()` Send the message.
`void` `setFrom(java.lang.String addstr, java.lang.Object name)` Set the From address for this message
`void` `setMultipartType(java.lang.String subtype)` Sets the MIME multipart message subtype.
`void` `setReplyTo(java.lang.String addstr)` Set the Reply-to address for this message
`protected void` `setStatus(int status)` Set the error status of this message
`void` `setSubject(java.lang.Object subject)` Set the subject of this message
`void` `setText(java.lang.String text)` Set the text to a plain text message, clearing any previous text.
`void` `setTo(java.lang.String addstr, java.lang.Object name)` Set the To address for this message

Methods inherited from class org.mozilla.javascript.ScriptableObject

`associateValue, avoidObjectDetection, callMethod, callMethod, defineClass, defineClass, defineClass, defineConst, defineConstProperty, defineFunctionProperties, defineProperty, defineProperty, defineProperty, defineProperty, delete, delete, deleteProperty, deleteProperty, equivalentValues, get, get, getAllIds, getAssociatedValue, getAttributes, getAttributes, getAttributes, getAttributes, getClassPrototype, getDefaultValue, getDefaultValue, getFunctionPrototype, getGetterOrSetter, getIds, getObjectPrototype, getParentScope, getProperty, getProperty, getPropertyIds, getPrototype, getTopLevelScope, getTopScopeValue, has, has, hasInstance, hasProperty, hasProperty, isConst, isSealed, put, put, putConst, putConstProperty, putProperty, putProperty, redefineProperty, sealObject, setAttributes, setAttributes, setAttributes, setAttributes, setGetterOrSetter, setParentScope, setPrototype`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OK

    public static final int OK

See Also:
  Constant Field Values

### SUBJECT

    public static final int SUBJECT

See Also:
  Constant Field Values

### TEXT

    public static final int TEXT

See Also:
  Constant Field Values

### MIMEPART

    public static final int MIMEPART

See Also:
  Constant Field Values

### TO

    public static final int TO

See Also:
  Constant Field Values

### CC

    public static final int CC

See Also:
  Constant Field Values

### BCC

    public static final int BCC

See Also:
  Constant Field Values

### FROM

    public static final int FROM

See Also:
  Constant Field Values

### REPLYTO

    public static final int REPLYTO

See Also:
  Constant Field Values

### SEND

    public static final int SEND

See Also:
  Constant Field Values

Method Detail

### getClassName

    public java.lang.String getClassName()

  Overrides abstract method in ScriptableObject

  Specified by:
    `getClassName` in interface `org.mozilla.javascript.Scriptable`
  Specified by:
    `getClassName` in class `org.mozilla.javascript.ScriptableObject`

### getSession

    protected javax.mail.Session getSession()

  Get the cached JavaMail session. This is similar to Session.getDefaultSession(), except that we check if the properties have changed.

### mailObjCtor

    public static MailObject mailObjCtor(org.mozilla.javascript.Context cx,
                                         java.lang.Object[] args,
                                         org.mozilla.javascript.Function ctorObj,
                                         boolean inNewExpr)

  JavaScript constructor, called by the Rhino runtime.

### init

    public static void init(org.mozilla.javascript.Scriptable scope,
                            java.util.Properties props)

  Initialize Mail extension for the given scope, called by RhinoCore.

### setStatus

    protected void setStatus(int status)

  Set the error status of this message

  Parameters:
    `status` - the new error status

### getStatus

    public int getStatus()

  Returns the error status of this message.

  Returns:
    the error status of this message

### addText

    public void addText(java.lang.String text)

  Add some text to a plain text message.

### setText

    public void setText(java.lang.String text)

  Set the text to a plain text message, clearing any previous text.

### getMultipartType

    public java.lang.String getMultipartType()

  Returns the MIME multipart message subtype. The default value is "mixed" for messages of type multipart/mixed. A common value is "alternative" for the multipart/alternative MIME type.

  Returns:
    the MIME subtype such as "mixed" or "alternative"

### setMultipartType

    public void setMultipartType(java.lang.String subtype)

  Sets the MIME multipart message subtype. The default value is "mixed" for messages of type multipart/mixed. A common value is "alternative" for the multipart/alternative MIME type.

  Parameters:
    `subtype` - the MIME subtype such as "mixed" or "alternative".

### addPart

    public void addPart(java.lang.Object obj,
                        java.lang.Object filename)

  Add a MIME message part to a multipart message

  Parameters:
    `obj` - the MIME part object. Supported classes are java.lang.String, java.io.File and helma.util.MimePart.
    `filename` - optional file name for the mime part

### setSubject

    public void setSubject(java.lang.Object subject)

  Set the subject of this message

  Parameters:
    `subject` - the message subject

### setReplyTo

    public void setReplyTo(java.lang.String addstr)

  Set the Reply-to address for this message

  Parameters:
    `addstr` - the email address to set in the Reply-to header

### setFrom

    public void setFrom(java.lang.String addstr,
                        java.lang.Object name)

  Set the From address for this message

  Parameters:
    `addstr` - the email address to set in the From header
    `name` - the name this address belongs to

### setTo

    public void setTo(java.lang.String addstr,
                      java.lang.Object name)

  Set the To address for this message

  Parameters:
    `addstr` - the email address to set in the To header
    `name` - the name this address belongs to

### addTo

    public void addTo(java.lang.String addstr,
                      java.lang.Object name)

  Add a To address for this message

  Parameters:
    `addstr` - the email address to set in the To header
    `name` - the name this address belongs to

### addCC

    public void addCC(java.lang.String addstr,
                      java.lang.Object name)

  ADd a CC address for this message

  Parameters:
    `addstr` - the email address to set in the CC header
    `name` - the name this address belongs to

### addBCC

    public void addBCC(java.lang.String addstr,
                       java.lang.Object name)

  Add a BCC address for this message

  Parameters:
    `addstr` - the email address to set in the BCC header
    `name` - the name this address belongs to

### send

    public void send()

  Send the message.

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.